classdef SiMPullUtils < handle

methods
end % methods

methods(Static)

   channelRegistration(start_DataDir, Indx, Channels, ChannelLabel, ...
                       NNeighborPoints)
   [gain, offset] = findGainOffset(start_DataDir)
   joinSequentialChannels(start_DataDir, ImSZ, Indx)
   formatFilenames(start_DataDir)
   findMinPhotonThreshold(start_DataDir, k, ImSZ, Indx, Channels, ...
                          ChannelLabel, smf, Verbose)
   overlayFitting(start_DataDir, ImSZ, Indx, Channels, ChannelLabel, ...
                  pixallow, smf, Verbose)
   summaryPlots(start_DataDir, Channels)
   statsCorrectedBG(start_DataDir, Channels)

   varargout = barwitherr(errors, varargin)
   [hfig, mat] = diptomat(dip, GM)
   [perc_Value, perc_SEM] = errorBinomial(numeratorSum, denominatorSum)
   [nOverlaps12, tots12, nOverlaps123, tots123, coord123] = ...
      findOverlaps(ImSZ, pixallow, PSFSigmaBlob, track1, track2, track3)
   [TrackXY, tots, overlayIm, shiftIm, SMDthresh] =         ...
      fitblob(k, ImSZ, Channels, ChannelLabel, smf, Verbose, PSFSigmaBlob, ...
              sequence, GeomTransform)

end % methods(Static)

end
