% Set file info

% IMPORTANT: to make your life easier, use formatFilenames where you can
% select the files and they will get formatted automatically.
%
% For all movies to be processed:
%
% Put the filename and badFrames into a file called 'fileinfo.m' in the data
% directory.  badFrames can be omitted if all the frames in all files
% specified are fine.  For example,
%
% dat(1).filename='nameWithoutExtension';
% badFrames{1} = [1 3];
% dat(2).filename='nameWithoutExtension';
% badFrames{2} = [];
% % Define bad frames (start counting with 0 as DIPimage); leave empty or omit
% % entirely for all files if no bad frames present in the data.
%
% If there are no bad frames in any files:
%
% dat(1).filename='nameWithoutExtension';
% dat(2).filename='nameWithoutExtension';
%
% Remember: Location in 4D image is indicated in the top of the window:
% allDatasets(x,y), where x indicates the number of the field of view or
% frame, and y the number of the file.

% All files

%dat(1).filename='joined_CHO-GFP_EGFR-antiGFPA647_coverslip-2-2020-5-28-19-19-48';
dat(1).filename='joined_HeLa-S3_5min-10nM-EGF_anti-EGFR-AF555_pY1068-CF640R_coverslip-1-2018-2-6-18-7-8';
badFrames{1}= [1];
